Bug 76258 - rpm 4.1 - release refuses to build on a system with no gettext support (using --disable-nls)
rpm 4.1 - release refuses to build on a system with no gettext support (using...
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: rpm (Show other bugs)
null
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-18 16:11 EDT by Nigel Kukard
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-25 13:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to build rpm-4.1 with --disable-nls (36.01 KB, patch)
2002-10-25 13:25 EDT, Jeff Johnson
no flags Details | Diff

  None (edit)
Description Nigel Kukard 2002-10-18 16:11:43 EDT
Description of Problem:
If --disable-nls is used with the ./configure script, and "make"
run, no go  :(

Version-Release number of selected component (if applicable):
4.1 release

How Reproducible:
every time

Steps to Reproduce:
1. ./configure --disable-nls
2. make
3. *BANG*

Actual Results:
@....  macros used in configure not being replaced

Expected Results:
clean build

Additional Information:
Build system has no gettext support at all, all other packages
are built with --disable-nls, rpm blows up  :-(
Comment 1 Jeff Johnson 2002-10-25 13:25:57 EDT
Created attachment 82084 [details]
Patch to build rpm-4.1 with --disable-nls
Comment 2 Jeff Johnson 2002-10-25 13:28:10 EDT
The (probably messy, sorry) patch builds rpm-4.1
with --disable-nls for me. OTOH, I'm not sure
my build environment has been entirely cleansed of gettext.
Comment 3 Jeff Johnson 2002-10-25 13:39:35 EDT
Patch checked in for bot rpm-4.1 and rpm-4.2.
Please reopen this bug if there's more to do.

Note You need to log in before you can comment on or make changes to this bug.